Bug 141295 - building webservice from abstract wsdl fails when whitespace in the path
building webservice from abstract wsdl fails when whitespace in the path
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: JAX-WS
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Roderico Cruz
issues@webservices
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 10:42 UTC by jbaragry
Modified: 2008-10-09 18:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jbaragry 2008-07-23 10:42:11 UTC
A recent feature is the ability to build "Webservice from WSDL" with an abstract WSDL. That is, without binding
information in the WSDL.

However, this feature fails when the path to the wsdl contains whitespace. E.g., under "C:\Documents and Settings\...."
in windows.

The error msg returned is:
Web Service can not be created by JAXWS:wsimport utility
Reson: Unable to parse "file:/C:/Documents and Setting....." : Illegal character in path at index 18...

Strangely, I do not get this problem if I use a WSDL which includes the binding information, even if it is in a path
location which includes whitespace.

This was tested on nb6.1 build 200805300101
Comment 1 _ gmpatil 2008-09-29 18:00:32 UTC
Increasing the priority per Rico, field needs the fix.
Comment 2 Roderico Cruz 2008-10-09 08:08:16 UTC
Fixed. The temp wsdl file path name was not normalized for spaces.
Comment 3 Quality Engineering 2008-10-09 18:03:05 UTC
Integrated into 'main-golden', will be available in build *200810091401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4b31f9139c71
User: rcruz@netbeans.org
Log: #141295 building webservice from abstract wsdl fails when whitespace in the path


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo